Search for all

  1. Search 7.x for all
  2. Search 9.5.x for all
  3. Search 8.9.x for all
  4. Search 10.3.x for all
  5. Search 11.x for all
  6. Other projects
Title Object type File name Summary
EntityChangesDetectionTrait.php file core/lib/Drupal/Core/Entity/EntityChangesDetectionTrait.php
EntityChangesDetectionTrait::getFieldsToSkipFromTranslationChangesCheck function core/lib/Drupal/Core/Entity/EntityChangesDetectionTrait.php Returns an array of field names to skip when checking for changes.
EntityClone class core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php @internal
This API is experimental.
EntityClone.php file core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php
EntityClone::apply function core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php
EntityClone::create function core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php
EntityClone::__construct function core/lib/Drupal/Core/Config/Action/Plugin/ConfigAction/EntityClone.php
EntityCloneConfigActionTest class core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests Entity Clone Config Action.
EntityCloneConfigActionTest.php file core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php
EntityCloneConfigActionTest::$modules property core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php
EntityCloneConfigActionTest::setUp function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php
EntityCloneConfigActionTest::testCloneWithWildcards function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests wildcard support, which allows positional tokens in the clone's ID.
EntityCloneConfigActionTest::testErrorIfOriginalDoesNotExist function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests error if original entity does not exist.
EntityCloneConfigActionTest::testFailIfEntityExists function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests that the action can be configured to fail if the clone exists.
EntityCloneConfigActionTest::testNoErrorWithExistingEntity function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests no error is thrown when an entity with the same ID already exists.
EntityCloneConfigActionTest::testSuccessfulClone function core/tests/Drupal/KernelTests/Core/Recipe/EntityCloneConfigActionTest.php Tests successful clone.
EntityComment class core/modules/comment/src/Plugin/migrate/destination/EntityComment.php Comment entity destination.
EntityComment.php file core/modules/comment/src/Plugin/migrate/destination/EntityComment.php
EntityComment::$stubCommentedEntityIds property core/modules/comment/src/Plugin/migrate/destination/EntityComment.php An array of entity IDs for the 'commented entity' keyed by entity type.
EntityComment::create function core/modules/comment/src/Plugin/migrate/destination/EntityComment.php
EntityComment::processStubRow function core/modules/comment/src/Plugin/migrate/destination/EntityComment.php
EntityComment::__construct function core/modules/comment/src/Plugin/migrate/destination/EntityComment.php Builds a comment entity destination.
EntityCommentType class core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php Comment type destination.
EntityCommentType.php file core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php
EntityCommentType::import function core/modules/comment/src/Plugin/migrate/destination/EntityCommentType.php
EntityComputedFieldTest class core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php Tests that entities with computed fields work correctly.
EntityComputedFieldTest.php file core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php
EntityComputedFieldTest::$defaultTheme property core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php
EntityComputedFieldTest::$modules property core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php
EntityComputedFieldTest::$state property core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php The state service.
EntityComputedFieldTest::setUp function core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php
EntityComputedFieldTest::testFormatterComputedFieldCacheableMetadata function core/modules/system/tests/src/Functional/Entity/EntityComputedFieldTest.php Tests that formatters bubble the cacheable metadata of computed fields.
EntityConcurrentRenderTest class core/tests/Drupal/KernelTests/Core/Entity/EntityConcurrentRenderTest.php Tests that the same entity can be rendered multiple times on a page.
EntityConcurrentRenderTest class core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php Tests that the same entity can be rendered multiple times on a page.
EntityConcurrentRenderTest.php file core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest.php file core/tests/Drupal/KernelTests/Core/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest::$defaultTheme property core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php The theme to install as the default for testing.
EntityConcurrentRenderTest::$modules property core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php Modules to install.
EntityConcurrentRenderTest::$modules property core/tests/Drupal/KernelTests/Core/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest::setUp function core/tests/Drupal/KernelTests/Core/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest::setUp function core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php
EntityConcurrentRenderTest::testSameEntityInMultipleBlocks function core/tests/Drupal/FunctionalTests/Entity/EntityConcurrentRenderTest.php Tests that two blocks rendering the same entity both produce output.
EntityConcurrentRenderTest::testSameEntityInMultipleBlocks function core/tests/Drupal/KernelTests/Core/Entity/EntityConcurrentRenderTest.php Tests that two blocks rendering the same entity both produce output.
EntityCondition class core/modules/jsonapi/src/Query/EntityCondition.php A condition object for the EntityQuery.
EntityCondition.php file core/modules/jsonapi/src/Query/EntityCondition.php
EntityCondition::$allowedOperators property core/modules/jsonapi/src/Query/EntityCondition.php The allowed condition operators.
EntityCondition::$field property core/modules/jsonapi/src/Query/EntityCondition.php The field to be evaluated.
EntityCondition::$operator property core/modules/jsonapi/src/Query/EntityCondition.php The condition operator.
EntityCondition::$value property core/modules/jsonapi/src/Query/EntityCondition.php The value against which the field should be evaluated.
EntityCondition::createFromQueryParameter function core/modules/jsonapi/src/Query/EntityCondition.php Creates an EntityCondition object from a query parameter.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.